#include <bits/stdc++.h>
using namespace std;

int main() {

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string s;
    long long q,l,r,res;

    cin>>s;
    cin>>q;


    for(int i=1;i<s.size();i++){
        if(int(s[i])<int(s[i-1])) s[i]='*';
    }
    s[0]='*';

    for(int i=0;i<q;i++){
        cin>>l>>r;
        res=1;
        
        for(int i=l-1;i<r;i++){
            if(s[i]=='*') res++;
        }

        if(s[l-1]=='*') res--;

        cout<<res<<'\n';
    }

}